- Qt 5.5
- Qt3D Module
- C++ Classes
- Quick3DNodeInstantiator
- Qt 5.5.1 Reference Documentation

# Quick3DNodeInstantiator Class

(Qt3D::Quick::Quick3DNodeInstantiator)

Inherits: |

- List of all members, including inherited members

## Properties

active : bool asynchronous : bool count : const int | delegate : QQmlComponent * model : QVariant object : QObject * const

## Public Functions

| Quick3DNodeInstantiator(QNode * parent = 0)
| ~Quick3DNodeInstantiator()
int | count() const
QQmlComponent * | delegate()
bool | isActive() const
bool | isAsync() const
QVariant | model() const
QObject * | object() const
QObject * | objectAt(int index) const
void | setActive(bool newVal)
void | setAsync(bool newVal)
void | setDelegate(QQmlComponent * c)
void | setModel(const QVariant & v)

## Signals

void | activeChanged()
void | asynchronousChanged()
void | countChanged()
void | delegateChanged()
void | modelChanged()
void | objectAdded(int index, QObject * object)
void | objectChanged()
void | objectRemoved(int index, QObject * object)

## Protected Functions

void | copy(const QNode * ref)

## Property Documentation

### active : bool

Access functions:

bool | isActive() const
void | setActive(bool newVal)

Notifier signal:

void | activeChanged()

### asynchronous : bool

Access functions:

bool | isAsync() const
void | setAsync(bool newVal)

Notifier signal:

void | asynchronousChanged()

### count : const int

Access functions:

int | count() const

Notifier signal:

void | countChanged()

### delegate : QQmlComponent *

Access functions:

QQmlComponent * | delegate()
void | setDelegate(QQmlComponent * c)

Notifier signal:

void | delegateChanged()

### model : QVariant

Access functions:

QVariant | model() const
void | setModel(const QVariant & v)

Notifier signal:

void | modelChanged()

### object : QObject * const

Access functions:

QObject * | object() const

Notifier signal:

void | objectChanged()

## Member Function Documentation

### Quick3DNodeInstantiator::Quick3DNodeInstantiator(QNode * parent = 0)

### Quick3DNodeInstantiator::~Quick3DNodeInstantiator()

### `[protected]` void Quick3DNodeInstantiator::copy(const QNode * ref)

### `[signal]` void Quick3DNodeInstantiator::objectAdded(int index, QObject * object)

### QObject * Quick3DNodeInstantiator::objectAt(int index) const

### `[signal]` void Quick3DNodeInstantiator::objectRemoved(int index, QObject * object)